Byteplant Forum

Home » CleanMail Support » CleanMail Server Talk » sa-update for version 2.3.5.7?
sa-update for version 2.3.5.7? [message #1871] Sat, 08 December 2007 20:01 Go to next message
mcclurejd
Messages: 1
Registered: December 2007
Junior Member
To begin, I am fully aware that I am running an "unsupported" version (2.3.5.7) of NST. I intend to upgrade as soon as possible, but I'm stuck with the older version for the time being. Having said that, here's my question:

Is it possible to use the 2.3.5.7 version of sa-update to successfully retrieve and load the latest Spam Assassin rules? In other words, if I download the rules for the latest version (3.?) and then copy them into my "ruleset" directory, will it work? Or should I expect a complete system meltdown?

Re: sa-update for version 2.3.5.7? [message #1872 is a reply to message #1871] Mon, 10 December 2007 17:18 Go to previous messageGo to next message
support
Messages: 918
Registered: April 2004
Senior Member
> To begin, I am fully aware that I am running an "unsupported"
> version (2.3.5.7) of NST. I intend to upgrade as soon as
> possible, but I'm stuck with the older version for the time
> being. Having said that, here's my question:
>
> Is it possible to use the 2.3.5.7 version of sa-update to
> successfully retrieve and load the latest Spam Assassin rules?
> In other words, if I download the rules for the latest version
> (3.?) and then copy them into my "ruleset" directory, will it
> work? Or should I expect a complete system meltdown?

Upgrading the SpamAssassin build shipped with NoSpamToday Version 2 to the latest
SpamAssassin 3.2.3 will not work without installing the latest NoSpamToday Version 3.



Post Edited (12-10-07 17:18)


Customer Support
Byteplant GmbH
Re: sa-update for version 2.3.5.7? [message #1873 is a reply to message #1871] Tue, 11 December 2007 19:12 Go to previous messageGo to next message
James Wilkinson
Messages: 14
Registered: July 2007
Junior Member
Disclaimer: I'm on the latest Version 3 of NST.

The SpamAssassin project provide updated versions of the 3.1.x rules (and of the 3.2.x rules). For example, the updated rules reflect changes to Internet-based blacklists. They can be downloaded using the sa-update utility you mention (a Perl program that SpamAssassin provides, compiled for Windows). It will automatically choose the right set of rules based on your version of SpamAssassin.

Having said that, there are a number of implementation details. You can ignore a lot of these if you're just planning a one-off update -- this is what you want if you want to keep current with the SpamAssassin rules.

1. I would strongly recommend leaving the sa\rules directory alone. Download into a new directory, and switch the NST SpamAssassin invocation to use that directory when you're comfortable with it. (This can be done with the NST admin program -- edit the configuration of the SpamAssassin program).

2. You'll either have to disable gpg or get a copy from somewhere -- I use Cygwin.

3. If you use the sa-lint.bat script, you'll want to make a version that reflects your new SpamAssassin directory (I just call it lint.bat).

4. You'll still have to configure sa-update -- the tutorials assume Unix, but there's not much difference.

5. If you're using SARE rulesets, you'll probably want to configure sa-update to use them, too. See http://www.rulesemporium.com/rules.htm for details -- you probably want to choose the same rules that you have under NST, at least to begin with.

6. Yes, sa-update will create a lot of directories. This is normal.

7. If you need to use a proxy, sa-update respects the http_proxy environment variable.

8. I use the --siteconfigpath switch to SpamAssassin to move my customisations out of the sa\rules directory into another directory -- now my install doesn't use sa\rules at all. This makes things slightly simpler, since I can just ignore that directory. My rules are split across two directories, the updatedir that sa-update manages and the local config that I manage.

Worked example, from within cygwin:

http_proxy=http://proxy sa/sa-update.exe -D --gpgkeyfile gpgkeyfile --gpghomedir gpg --channelfile update-channels --updatedir updatedir

That's all one line!

Re: sa-update for version 2.3.5.7? [message #1874 is a reply to message #1871] Thu, 10 January 2008 16:05 Go to previous message
ScubaCat
Messages: 27
Registered: May 2005
Junior Member
I just disable GPG myself. I haven't had any problems doing that thus far.

sa-update.exe --nogpg --updatedir -D


I may upgrade someday if they bring back the 50% off promotion but this version really seems adequate for me so I'm happy. Smile
Previous Topic: Turn of SPF checks?
Next Topic: Antivirus Filtering
Goto Forum:
  


Current Time: Tue Sep 27 05:35:48 CEST 2016